package org.dromara.main.service;

import org.dromara.main.domain.vo.PaymentVo;

import java.math.BigDecimal;
import java.util.Map;

public interface IPaymentService {

    PaymentVo createAlipayQrCode(Long orderId, String tenantId);

    String handleAlipayNotify(Map<String, String> params);

    Boolean alipayRefund(String tradeNo, BigDecimal refundAmount, String refundNo, String refundReason);

    PaymentVo queryPaymentStatus(Long orderId);

    PaymentVo queryByPaymentNo(String paymentNo);
}
